> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Completion Statistics

> 
Retrieve evaluation statistics for a specific prompt template. Use to track quality metrics for individual prompts.

Maximum date range is 30 days.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/completions/statistics/{prompt_template_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/completions/statistics/{prompt_template_id}:
    post:
      tags:
        - Search & Analytics
      summary: Get Completion Statistics
      description: >-

        Retrieve evaluation statistics for a specific prompt template. Use to
        track quality metrics for individual prompts.


        Maximum date range is 30 days.
      operationId: post_get_completion_summary
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: prompt_template_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                to_date:
                  default: null
                  title: To Date
                  type:
                    - string
                    - 'null'
                from_date:
                  default: null
                  title: From Date
                  type:
                    - string
                    - 'null'
              title: GetCompletionSummaryInfo
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  summary_info:
                    additionalProperties:
                      additionalProperties:
                        $ref: '#/components/schemas/EvaluationSummaryByEvalType'
                      type: object
                    title: Summary Info
                    type: object
                required:
                  - summary_info
                title: CompletionSummaryStatsInfo
                type: object
          description: >-
            CompletionSummaryStatsInfo(summary_info: dict[str, dict[str,
            server.evaluations.evaluations_types.EvaluationSummaryByEvalType]])
components:
  schemas:
    EvaluationSummaryByEvalType:
      properties:
        human_evals:
          additionalProperties:
            additionalProperties:
              anyOf:
                - type: integer
                - type: number
                - type: string
            type: object
          title: Human Evals
          type: object
        auto_evals:
          additionalProperties:
            additionalProperties:
              anyOf:
                - type: integer
                - type: number
                - type: string
            type: object
          title: Auto Evals
          type: object
        client_evals:
          additionalProperties:
            additionalProperties:
              anyOf:
                - type: integer
                - type: number
                - type: string
            type: object
          title: Client Evals
          type: object
        combined_evals:
          additionalProperties:
            additionalProperties:
              anyOf:
                - type: integer
                - type: number
                - type: string
            type: object
          title: Combined Evals
          type: object
      required:
        - human_evals
        - auto_evals
        - client_evals
        - combined_evals
      title: EvaluationSummaryByEvalType
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````